Page MenuHomePhabricator

Upgrade Netbox to 2.6.1
Closed, ResolvedPublic0 Story Points

Description

New release! https://github.com/digitalocean/netbox/releases/tag/v2.6.0

No urgent fix but some nice to have features:

  • Power Panels and Feeds, might be useful for DCops
  • Caching, this adds a mandatory dependency on Redis
  • View Permissions, could potentially let us open up parts of our Netbox instance to the public
  • Prometheus Metrics, note that the /metrics url is public
  • Changes to Tag Permissions, to be tested (does it support tags whitelist?)
  • API Support for Specifying Related Objects by Attributes, should make using the API easier
  • Add dns_name field to IPAddress, should help with the dns in Netbox project
  • Custom Links this comment made me aware of a useful Dell feature

Event Timeline

ayounsi triaged this task as Low priority.Jun 23 2019, 1:06 PM
ayounsi created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2019, 1:06 PM

FYI this has a new required dependency of Redis, so we should check with serviceops if we could use an existing Redis installation.
It also has some changes in the API and we should check if existing scripts needs to be updated.

Roger, it might be best to wait on the upgrade until the split to Ganeti is done (maybe early next week) as using Redis was part of the spec for that.

ayounsi renamed this task from Upgrade Netbox to 2.6.0 to Upgrade Netbox to 2.6.1.Jun 25 2019, 3:34 PM

Change 526173 had a related patch set uploaded (by CRusnov; owner: CRusnov):
[operations/puppet@production] netbox: Add configuration for REDIS

https://gerrit.wikimedia.org/r/526173

Change 526173 merged by CRusnov:
[operations/puppet@production] netbox: Add configuration for REDIS

https://gerrit.wikimedia.org/r/526173

Mentioned in SAL (#wikimedia-operations) [2019-07-30T22:18:11Z] <crusnov@deploy1001> Started deploy [netbox/deploy@b76139e]: Upgrade Netbox to v2.6.1 - T226331

Mentioned in SAL (#wikimedia-operations) [2019-07-30T22:18:31Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@b76139e]: Upgrade Netbox to v2.6.1 - T226331 (duration: 00m 20s)

Mentioned in SAL (#wikimedia-operations) [2019-07-30T22:18:38Z] <crusnov@deploy1001> Started deploy [netbox/deploy@b76139e]: Upgrade Netbox to v2.6.1 - T226331

Mentioned in SAL (#wikimedia-operations) [2019-07-30T22:19:19Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@b76139e]: Upgrade Netbox to v2.6.1 - T226331 (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2019-07-30T22:23:34Z] <crusnov@deploy1001> Started deploy [netbox/deploy@b76139e]: Upgrade Netbox to v2.6.1 (pass 2) - T226331

Mentioned in SAL (#wikimedia-operations) [2019-07-30T22:23:44Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@b76139e]: Upgrade Netbox to v2.6.1 (pass 2) - T226331 (duration: 00m 10s)

Mentioned in SAL (#wikimedia-operations) [2019-07-30T22:26:46Z] <crusnov@deploy1001> Started deploy [netbox/deploy@b76139e]: Upgrade Netbox to v2.6.1 (pass 3) - T226331

Mentioned in SAL (#wikimedia-operations) [2019-07-30T22:26:56Z] <crusnov@deploy1001> Finished deploy [netbox/deploy@b76139e]: Upgrade Netbox to v2.6.1 (pass 3) - T226331 (duration: 00m 09s)

Obviously some finagling happened, but in the end the upgrade is good.

crusnov closed this task as Resolved.Jul 30 2019, 10:51 PM

What was the issue?

Change 526676 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/puppet@production] Netbox, enable Prometheus endpoint

https://gerrit.wikimedia.org/r/526676

Change 526686 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/puppet@production] Netbox, make non sensitive models public

https://gerrit.wikimedia.org/r/526686

What was the issue?

  • There were some root-owned files in the tree because of testing that happened
  • There were missing deps for Swift in the build package

What was the issue?

  • There were some root-owned files in the tree because of testing that happened
  • There were missing deps for Swift in the build package

Obviously neither of these were related to the actual upgrade which went swimmingly (yay redis works).

Change 526676 merged by Ayounsi:
[operations/puppet@production] Netbox, enable Prometheus endpoint

https://gerrit.wikimedia.org/r/526676

Change 526819 had a related patch set uploaded (by Ayounsi; owner: Ayounsi):
[operations/puppet@production] Prometheus, collect Netbox metrics

https://gerrit.wikimedia.org/r/526819